#!/bin/bash

HOMEBREW_NO_INSTALL_CLEANUP=1

/bin/bash -c "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/HEAD/install.sh)"

brew update

brew install pkg-config

# GTK4 support
brew install glib
# brew install cairo libxrandr libxi libxcursor libxdamage libxinerama


/bin/bash -c "$(curl -o- https://raw.githubusercontent.com/nvm-sh/nvm/v0.39.5/install.sh)"

source ~/.nvm/nvm.sh

nvm install node

nvm install-latest-npm

npm install -g appdmg

exit 0
